import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { Tab1Page } from './tab1.page';

const routes: Routes = [
  {
    path: '',
    component: Tab1Page,
  },
  // {
  //   path: 'page-aichat',
  //   //loadChildren: () => import('./page-aichat/page-aichat.module').then( m => m.PageAichatPageModule)
  // },
  {
    path: 'page-detail',
    loadChildren: () => import('./page-detail/page-detail.module').then( m => m.PageDetailPageModule)
  },
  {
    path: 'page-type',
    loadChildren: () => import('./page-type/page-type.module').then( m => m.PageTypePageModule)
  },

];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class Tab1PageRoutingModule {}
